setwd("C:/Users/Faith/Desktop/2019 Pecker Points/2019 Data/USE")

territories <- read.csv("territory size final.csv", header=TRUE, sep=",")

allsites <- read.csv("gr.means.center.csv", header = TRUE, sep = ",")


Coleoptera.s <- allsites[allsites$Order == "Coleoptera", ]
Mantodea.s <- allsites[allsites$Order == "Mantodea", ]
Diptera.s <- allsites[allsites$Order == "Diptera", ]
Phasmatodea.s <- allsites[allsites$Order == "Phasmatodea ", ]
Hemiptera.s <- allsites[allsites$Order == "Hemiptera", ]
Orthoptera.s <- allsites[allsites$Order == "Orthoptera", ]
Hymenoptera.s <- allsites[allsites$Order == "Hymenoptera", ]



Mantodea <- territories[territories$Order == "Mantodea", ]
Coleoptera <- territories[territories$Order == "Coleoptera", ]
Diptera <- territories[territories$Order == "Diptera", ]
Phasmatodea <- territories[territories$Order == "Phasmatodea", ]
Hemiptera <- territories[territories$Order == "Hemiptera", ]
Orthoptera <- territories[territories$Order == "Orthoptera", ]
Hymenoptera <- territories[territories$Order == "Hymenoptera", ]


########################################################################################################################
# Question: Do some orders of insects have more mass in woodpecker territories thatn others. Ultimatly, are woodpeckers choosing to settle in areas that have more of some orders of insects?

### coleoptera 
col <- wilcox.test(Grams ~ GFWO, data = Coleoptera.s)
col
ggboxplot(Coleoptera.s, x = "GFWO", y = "Grams", color = "GFWO")
# W = 43498, p-value = 8.044e-07  *** Significantly more coleoptera on WP



### Mantodea 
man <- wilcox.test(Grams ~ GFWO, data = Mantodea.s)
man
ggboxplot(Mantodea.s, x = "GFWO", y = "Grams", color = "GFWO")
#W = 35623, p-value = 0.6586  * no significant difference 


###  Diptera
dip <- wilcox.test(Grams ~ GFWO, data = Diptera.s)
dip
ggboxplot(Diptera.s, x = "GFWO", y = "Grams", color = "GFWO")
#W = 42288, p-value = 2.196e-05



###   Phasmatodea 
dip <- wilcox.test(Grams ~ GFWO, data = Phasmatodea.s)
dip
ggboxplot(Phasmatodea.s, x = "GFWO", y = "Grams", color = "GFWO")


### Hemiptera 
hemi <- wilcox.test(Grams ~ GFWO, data = Hemiptera.s)
hemi
#W = 32432, p-value = 0.1681   * Hemiptera not significant 
ggboxplot(Hemiptera.s, x = "GFWO", y = "Grams", color = "GFWO")



####   Orthoptera
orth <- wilcox.test(Grams ~ GFWO, data = Orthoptera.s)
orth
#W = 47222, p-value = 1.679e-12     * Orthoptera was very significant 
ggboxplot(Orthoptera.s, x = "GFWO", y = "Grams", color = "GFWO")



###     Hymenoptera 
hymen <- wilcox.test(Grams ~ GFWO, data = Hymenoptera.s)
hymen 
#W = 41257, p-value = 0.0002561
ggboxplot(Hymenoptera.s, x = "GFWO", y = "Grams", color = "GFWO")



### Significant Orders

# Coleoptera
# Diptera
# Orthoptera
# Hymenoptera



### NOT significant orders

# Mantodea 
# Hemiptera
# Phasmatodea





#######################################################################################################################


# Question: Does the size of the woodpecker territory correlate with the overall mass of insects present within their territory. 


library(ggpubr)
library(dplyr)

#Pearson Correlation (r): measures a linear dependence between two variables. Can only be used when x and y are from a normal distribution. If data is not normal, then use a Spearman rho. 

# testing normality
shapiro.test(Orthoptera$Territory.Size) #* not normal 
shapiro.test
#the terriory size data was not normal, so I will use Spearman's Rho, a rank-based correlation coefficients method. 

# Orders that correlated with territory size 
# Orthoptera
# Phasmatodea
# Coleoptera


# Order that DID NOT correlate with territory size 
# Mantodea 
# Hymenoptera
# Diptera
# Hemiptera

###   Orthoptera   ####

ggOrth <- ggscatter(Orthoptera, x = "Average.Grams", y = "Territory.Size", add = "reg.line", conf.int = TRUE, cor.method = "spearman", xlab = "Average Mass (g)", ylab = "Territory Size (m)", title = "Orthoptera", color = "Order") + theme(legend.position = "none") + theme(plot.title = element_text(hjust = 0.5)) + theme(plot.title = element_text(face = "bold"))
ggOrth

Orthoptera.T <- cor.test(Orthoptera$Territory.Size, Orthoptera$Average.Grams, method = "spearman")
Orthoptera.T

# results of Spearman's rank correlation coefficient. 
#S = 1948, p-value = 0.4735

#  rho 
# -0.97

# the above correlation is not significant. 





####     Mantodea    ####

ggscatter(Mantodea, x = "Average.Grams", y = "Territory.Size", add = "reg.line", conf.int = TRUE, cor.coef = TRUE, cor.method = "spearman", xlab = "Mass", ylab = "Territory Size", title = "Territory Size by Average Mass of Mantodea")
Mantodea.T <- cor.test(Mantodea$Territory.Size, Mantodea$Average.Grams, method = "spearman")
Mantodea.T

#S = 1972, p-value = 0.5046
#alternative hypothesis: true rho is not equal to 0
#sample estimates:
#  rho 
#0.1426 

### ^ above results show no significant correlation 





###     Hymenoptera     #####

ggHymen <- ggscatter(Hymenoptera, x = "Average.Grams", y = "Territory.Size", add = "reg.line", conf.int = TRUE, cor.method = "spearman", xlab = "Average Mass (g)", ylab = "Territory Size (m)", title = "Hymenoptera", color = "Order") + theme(legend.position = "none") + theme(plot.title = element_text(hjust = 0.5)) + theme(plot.title = element_text(face = "bold"))
ggHymen


#ggscatter(Hymenoptera, x = "Average.Grams", y = "Territory.Size", add = "reg.line", conf.int = TRUE, cor.coef = TRUE, cor.method = "spearman", xlab = "Mass", ylab = "Territory Size", title = "Territory Size by Average Mass of Hymenoptera")
Hymenoptera.T <- cor.test(Hymenoptera$Territory.Size, Hymenoptera$Average.Grams, method = "spearman")
Hymenoptera.T

#S = 3240, p-value = 0.04845
#alternative hypothesis: true rho is not equal to 0
#sample estimates:
#  rho 
#-0.4087

#  ^ above, there may look like there is a significant negative correlation, but according to the p-value it is no significant. 




####      Diptera      ####

ggscatter(Diptera, x = "Average.Grams", y = "Territory.Size", add = "reg.line", conf.int = TRUE, cor.coef = TRUE, cor.method = "spearman", xlab = "Mass", ylab = "Territory Size", title = "Territory Size by Average Mass of Diptera")
Diptera.T <- cor.test(Diptera$Territory.Size, Diptera$Average.Grams, method = "spearman")
Diptera.T

#S = 2586, p-value = 0.5612
#alternative hypothesis: true rho is not equal to 0
#sample estimates:
#  rho 
#-0.1243

# ^ above, there is not significant relationsip, either way. 



####  Phasmatodea ####  

ggPhas <- ggscatter(Phasmatodea, x = "Average.Grams", y = "Territory.Size", add = "reg.line", conf.int = TRUE, cor.method = "spearman", xlab = "Average Mass (g)", ylab = "Territory Size (m)", title = "Phasmatodea", color = "Order", palette = "jco") + theme(legend.position = "none") + theme(plot.title = element_text(hjust = 0.5)) + theme(plot.title = element_text(face = "bold")) +
  stat_cor(aes(color = Order), label.x = 0.09)  
ggPhas


ggscatter(Phasmatodea, x = "Average.Grams", y = "Territory.Size", add = "reg.line", conf.int = TRUE, cor.coef = TRUE, cor.method = "spearman", xlab = "Mass", ylab = "Territory Size", title = "Territory Size by Average Mass of Phasmatodea")
Phasmatodea.T <- cor.test(Phasmatodea$Territory.Size, Phasmatodea$Average.Grams, method = "spearman")
Phasmatodea.T

#S = 1372, p-value = 0.05161
#alternative hypothesis: true rho is not equal to 0
#sample estimates:
#  rho 
#0.4035

# ^ the above correlation is not significant.  



#####   Hemiptera  #####


ggscatter(Hemiptera, x = "Average.Grams", y = "Territory.Size", add = "reg.line", conf.int = TRUE, cor.coef = TRUE, cor.coeff.args = list(method = "spearman", label.x.npc = "right", label.y.npc = "bottom"), cor.method = "spearman", xlab = "Mass", ylab = "Territory Size", title = "Territory Size by Average Mass of Hemiptera")
Hemiptera.T <- cor.test(Hemiptera$Territory.Size, Hemiptera$Average.Grams, method = "spearman")
Hemiptera.T

#S = 2070, p-value = 0.6409
#alternative hypothesis: true rho is not equal to 0
#sample estimates:
#  rho 
#0.1000

# ^ above shows no significant correlation. 



###     Coleoptera    ####

ggCol <- ggscatter(Coleoptera, x = "Average.Grams", y = "Territory.Size", add = "reg.line", conf.int = TRUE, cor.method = "spearman", xlab = "Average Mass (g)", ylab = "Territory Size (m)", title = "Coleoptera", color = "Order", cor.coef.coord = c(70000, 0.3)) + theme(legend.position = "none") + theme(plot.title = element_text(hjust = 0.5)) + theme(plot.title = element_text(face = "bold")) 
ggCol

#ggscatter(Coleoptera, x = "Average.Grams", y = "Territory.Size", add = "reg.line", conf.int = TRUE, cor.coef = TRUE, cor.method = "spearman", xlab = "Mass", ylab = "Territory Size", title = "Territory Size by Average Mass of Coleoptera")
Coleoptera.T <- cor.test(Coleoptera$Territory.Size, Coleoptera$Average.Grams, method = "spearman")
Coleoptera.T

#S = 3992, p-value = 6.587e-05
#alternative hypothesis: true rho is not equal to 0
#sample estimates:
#  rho 
#-0.7356522 

# strongly negatively related with Coleoptera 


# putting graphs together

FourOrders <- c("Coleoptera", "Hymenoptera", "Orthoptera", "Phasmatodea")
FourTerritories <- territories[territories$Order %in% FourOrders,]


sp <- ggscatter(FourTerritories, x = "Average.Grams", y = "Territory.Size",
                add = "reg.line",               # Add regression line
                conf.int = TRUE,                # Add confidence interval
                color = "Order", palette = "jco", # Color by groups "cyl"
                shape = "Order"                   # Change point shape by groups "cyl"
)+
  stat_cor(aes(color = Order), label.x = 1)       # Add correlation coefficient
sp


ggarrange(ggCol, ggOrth, ggHymen, ggPhas, 
          ncol = 2, nrow = 2)


#attach(territories)
#par(mfrow=c(2,2))
#plot(wt,mpg, main="Scatterplot of wt vs. mpg")
#plot(wt,disp, main="Scatterplot of wt vs disp")
#hist(wt, main="Histogram of wt")
#boxplot(wt, main="Boxplot of wt")
